Bug 290461 - Removing package can disable system for user with "not enough" warning
Removing package can disable system for user with "not enough" warning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 03:07 EDT by Thomas L. Shinnick
Modified: 2008-05-28 15:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas L. Shinnick 2007-09-14 03:07:44 EDT
I repeated my own "user mistake" of bug 212703 again, trying to remove packages 
that had no obvious use for me.  Through strange and unlikely dependency 
relationships this also removed packages vitally needed by the user.

While the fix applied to close bug 212703 indeed is a worthy improvement (popup 
at apply time notifying users of what dependencies were found) it still doesn't 
address the follow-on need - allowing the user to interpret what those 
dependencies *mean*.

In this case I tried to remove nautilus-cd-burner, as I will not be burning CDs 
on this Linux running in a VMware machine.  Unfortunately this also removes 
gnome-session, throwing you into twm on next restart.

Your average user is going to be SOL after their mistake at removing something 
unneeded from the system.  


How reproducible:
Every time as below.

Steps to Reproduce:
1. start up "Add/Remove software"  aka pirut
2. Select "Desktop Environments", "Gnome Desktop Environment", and then
     click on "Optional packages"
3. Scroll down to "nautilus-cd-burner - Easy to use CD burning for Gnome"
     and uncheck the checkbox to request uninstall
4. Click "Close", and then click "Apply"
5. Click "Continue" to the confirm removal of "nautilus-cd-burner"
6. Click "Continue" to "Dependencies Added" dialog displaying list 
     "Removing for dependencies" list containing 'gnome-media', 
     'gnome-session', 'gnome-volume-manager'
7. Restart session or reboot, then re-diaper self
 
Actual results:
The desktop has disappeared, offering the user only the twm with xterm, clock, 
and firefox windows.  No menus, menubars, no pretty buttons to push to get 
everything back.

Expected results:
Either
  * general warning that deleting components can have bad results 
      and have you backed up your system lately?
  * warnings plus some (easy) way to lookup what those dependencies 
      _mean_.  Such as bug 227362 mentions.
  * specific warning that deleting heartbeat will cause irreversable
      brain damage

As per the discussion in the previous bug 212703, I understand that this seems 
an unbounded process, as in "when is it important enough?" to mention.  

Perhaps the simplest essential parameter is this - when would removing a 
package totally disable the average (Windows?) user from using their system 
and/or restoring back to its previous state, given average capabilites to do so.

This is indeed 'merely' a usability problem.  One with disastrous consequences 
though...

Additional info:
/var/log/yum.log is a lifesaver!
Comment 1 Bug Zapper 2008-05-14 10:20:59 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Katz 2008-05-28 15:12:04 EDT
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.

Note You need to log in before you can comment on or make changes to this bug.